<?php
session_start();
ob_start();
$father = $_SESSION["user_id"] ;
include "dbPDO.php";
$insurance_id   = $_POST['insurance_id'];
$ins_name      = $_POST['ins_name'];
$ins_owner      = $_POST['ins_owner'];
$boss           =$_POST['boss'];
$boss_jawal     =$_POST['boss_jawal'];
$repman         = $_POST['repman'];
$repjawal      = $_POST['repjawal'];
$repjawal2     = $_POST['repjawal2'];
$crash_man      = $_POST['crash_man'];
$crash_jawal    = $_POST["crash_jawal"];
$crash_jawal2    = $_POST["crash_jawal2"];
$phone        = $_POST['phone'];
$fax          = $_POST['fax'];
$address      = $_POST['address'];
$start_date   = $_POST['start_date'];
$comm         = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;
if(empty($ins_name) || empty($ins_owner))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك  سجل اسم الشركة و اسم صاحب الشركة  ...!</b>
        </div>
  ";
  exit();
} else {
  if(!empty($ins_name)){ $ins_name = htmlspecialchars(strip_tags($ins_name)) ;   }
  if(!empty($ins_owner)){ $ins_owner = htmlspecialchars(strip_tags($ins_owner)) ;   }
  if(!empty($boss)){ $boss = htmlspecialchars(strip_tags($boss)) ;   }
  if(!empty($boss_jawal)){
      if(!preg_match($Number,$boss_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $boss_jawal رقم غلط في جوال المدير</b>
      </div>
    ";
      exit();
    }
    if((strlen($boss_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>جوال المدير أقل من 10 أرقام</b>
      </div>
      ";
      exit();
    }
    if((strlen($boss_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
}
if(!empty($repman)){ $repman = htmlspecialchars(strip_tags($repman)) ;   }
if(!empty($repjawal)){
     if(!preg_match($Number,$repjawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $repjawal رقم غلط</b>
      </div> ";
      exit();
    }
    if((strlen($repjawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>مدير الحسابات</b>
      </div>
      ";
      exit();
    }
    if((strlen($repjawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($repjawal2)){
      if(!preg_match($Number,$repjawal2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $repjawal2 رقم جوال المحاسب خطأ</b>
        </div>
      ";
        exit();
      }
      if((strlen($repjawal2) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>مدير الحسابات</b>
        </div>
        ";
        exit();
      }
      if((strlen($repjawal2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($crash_man)){ $crash_man = htmlspecialchars(strip_tags($crash_man)) ;   }    
if(!empty($crash_jawal)){
    if(!preg_match($Number,$crash_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $crash_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($crash_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($crash_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }
  if(!empty($crash_jawal2)){
      if(!preg_match($Number,$crash_jawal2)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $crash_jawal2 رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($crash_jawal2)< 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($crash_jawal2) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($fax)){
      if(!preg_match($Number,$fax)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $fax رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($fax) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($fax) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($phone)){
      if(!preg_match($Number,$phone)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $phone رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($phone) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($phone) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }
if(!empty($address)){ $address = htmlspecialchars(strip_tags($address)) ;   }    
if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }    
    $sql=$db->prepare("UPDATE insurance SET ins_name= ?, ins_owner= ?, boss= ?, boss_jawal= ?, repman= ?,  repjawal= ?,
      repjawal2 = ?, crash_man = ?,  crash_jawal = ?,crash_jawal2 = ?,fax = ?, phone = ?,address = ?, start_date = ?,comm = ?,father = ?
     WHERE insurance.insurance_id = ?");
     $sql->bindParam(1,$ins_name);
     $sql->bindParam(2,$ins_owner);
     $sql->bindParam(3,$boss);
     $sql->bindParam(4,$boss_jawal);
     $sql->bindParam(5,$repman);
     $sql->bindParam(6,$repjawal);
     $sql->bindParam(7,$repjawal2);
     $sql->bindParam(8,$crash_man);
     $sql->bindParam(9,$crash_jawal);
     $sql->bindParam(10,$crash_jawal2);
     $sql->bindParam(11,$fax);
     $sql->bindParam(12,$phone);
     $sql->bindParam(13,$address);
     $sql->bindParam(14,$start_date);
     $sql->bindParam(15,$comm);
     $sql->bindParam(16,$father);
     $sql->bindParam(17,$insurance_id);
     if($sql->execute()){
    echo "
                <div class='alert alert-success'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
               <b>تم تحديث بيانات شركة التأمين  ... </b>
                </div>";
    } else {
    echo "<div class='alert alert-danger'>
           <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
               <b>من فضلك راجع بيانات شركة التامين  ... !!!</b>
              </div>";
    }
  }
?>